<div id="rightBox">
	<table border="0" cellpadding="0" cellspacing="0" class="rightBox_table">
		<tr>
			<td><img src="/files/contentBoxTop.jpg" alt="" width="690" height="16"/></td>
		</tr>
		<tr>
			<td valign="top" style="background-image: url(/files/contentBoxMiddle.jpg); width: 690px; height: 547px; background-position: center top; background-repeat: no-repeat;">
				<div id="rightBox_content">
					<div class="content_title">Wiadomość : przekierowanie</div>
					
				<?php
						if(isset($message))
						{
								echo '<p class="info_box">'.$message.'<p>';								
						}
					?>
										
					<?php
						if(isset($ticket))
						{		
							if(isset($child_tickets) && count($child_tickets)>0)
							{
								echo '<fieldset id="filters_0" class="collapsible collapsed">';
								echo '<legend onclick="toggleFieldset(this,0);">'.$ticket->data_wyslania.' <b>OD:</b> '.$ticket->nadawca.' <b>DO</b> '.$ticket->odbiorca.'</legend>
									 <div name="toggle_group" id="fieldset_content_0" style="display:none;">';								
							}
							else	
							{
								echo '<fieldset id="filters_0" class="collapsible">';
									echo '<legend onclick="toggleFieldset(this,0);">'.$ticket->data_wyslania.' <b>OD:</b> '.$ticket->nadawca.' <b>DO</b> '.$ticket->odbiorca.'</legend>
										 <div name="toggle_group" id="fieldset_content_0">';
							}
													
									
									echo '<table id="hor-minimalist-b" style="width:100%">';
			
										echo '<tr>';
											echo '<td width="140">Temat</td>';
											echo '<td><div class="info_field">'.$ticket->temat.'</div></td>';
										echo '</tr>';
		
										echo '<tr>';
											echo '<td width="140">Status</td>';
											echo '<td><div class="info_field">'.$ticket->status.'</div></td>';
										echo '</tr>';
		
										echo '<tr>';
											echo '<td width="140">Kategoria</td>';
											echo '<td><div class="info_field">'.$ticket->kategoria.'</div></td>';
										echo '</tr>';
											
										echo '<tr>';
											echo '<td width="140">Wiadomość</td>';
											echo '<td><div class="info_field">'.nl2br($ticket->wiadomosc).'</div></td>';
										echo '</tr>';
										echo '<tr>';
											echo '<td width="140">Załaczniki</td>';
											echo '<td><div class="info_field">';
											if(isset($ticket->zalaczniki) && count($ticket->zalaczniki>0))
											{									
												echo '<table>';
													foreach($ticket->zalaczniki as $key=>$value)
													{
														$nazwa_pliku = explode('/',$value->sciezka);
														$nazwa_pliku = $nazwa_pliku[count($nazwa_pliku)-1];
														 
														$nazwa_pliku_real = explode('__',$nazwa_pliku);
														$nazwa_pliku_real = $nazwa_pliku_real[count($nazwa_pliku_real)-1];
														  
														echo '<tr>';
															echo '<td>'.($key+1).'</td>';									
															echo '<td><a href="'.$value->sciezka.'">'.$nazwa_pliku_real.'</a></td>';												
														echo '</tr>';
													}
												echo '</table>';
											}
											else
												echo 'brak';
												
											echo '</div></td>';
										echo '</tr>';								
																																										
									echo '</table><br/>';
									
								echo	'</div>
    								</fieldset>
									<br/>';									
						}
						
						//child tickets
						if(isset($child_tickets))
						{
							foreach($child_tickets as $key=>$value)
							{
								if($key == (count($child_tickets)-1))
									{
										echo '<fieldset id="filters_'.($key+1).'" class="collapsible">';
										echo '<legend onclick="toggleFieldset(this,'.($key+1).');">'.$value->data_wyslania.' <b>OD:</b> '.$value->nadawca.' <b>DO</b> '.$value->odbiorca.'</legend>
											  <div name="toggle_group" id="fieldset_content_'.($key+1).'">';										
									}
								else
									{
										echo '<fieldset id="filters_'.($key+1).'" class="collapsible collapsed">';
										echo '<legend onclick="toggleFieldset(this,'.($key+1).');">'.$value->data_wyslania.' <b>OD:</b> '.$value->nadawca.' <b>DO</b> '.$value->odbiorca.'</legend>
											  <div name="toggle_group" id="fieldset_content_'.($key+1).'" style="display:none;">';
									}
											
		
											echo '<table id="hor-minimalist-b" style="width:100%">';

											  	echo '<tr>';
													echo '<td width="140">Wiadomość</td>';
													echo '<td><div class="info_field">'.nl2br($value->wiadomosc).'</div></td>';
												echo '</tr>';
												
											  	echo '<tr>';
													echo '<td width="140">Priorytet</td>';
													echo '<td><div class="info_field">'.$value->priorytet.'</div></td>';
												echo '</tr>';
																								
												echo '<tr>';
													echo '<td width="140">Załaczniki</td>';
													echo '<td><div class="info_field">';
													if(isset($value->zalaczniki) && is_array($value->zalaczniki))
													{									
														echo '<table>';
															foreach($value->zalaczniki as $key2=>$value2)
															{
																$nazwa_pliku = explode('/',$value2->sciezka);
																$nazwa_pliku = $nazwa_pliku[count($nazwa_pliku)-1];
																 
																$nazwa_pliku_real = explode('__',$nazwa_pliku);
																$nazwa_pliku_real = $nazwa_pliku_real[count($nazwa_pliku_real)-1];
																  
																echo '<tr>';
																	echo '<td>'.($key2+1).'</td>';									
																	echo '<td><a href="'.$value2->sciezka.'">'.$nazwa_pliku_real.'</a></td>';												
																echo '</tr>';
															}
														echo '</table>';
													}
													else
														echo 'brak';														
													echo '</div></td>';
												echo '</tr>';								
												echo '<tr><td colspan="2" align="right" style="border:none;"><a href="#top">TOP</a></td></tr>';
																																												
											echo '</table><br/>	';																						
											
											
								echo	'</div>
    								</fieldset>
									<br/>';
							}							
						}
							
					?>
					
					<?php
						if(isset($form_success))
						{
							if($form_success)
								echo '<p class="info_box">Wiadomość została wysłana.<p>';
							else
								echo '<p class="info_box">Wystapił bład(y).<p>';								
						}
					?>
					<form action="" id="forward_ticket" name="forward_ticket" method="post">
                        <input type="hidden" name="forward_ticket" value="1"/>
                        <?php
                            echo '<input type="hidden" name="user_id" value="'.$user_account['id'].'">';
                        ?>
                        <b>PRZEKIEROWANIE:</b>
						<table id="hor-minimalist-b" style="width:100%">
							<tr>
								<td width="140">GRUPA</td>
								<td>
									<script type="text/javascript">
										$(document).ready(function() {
											
											   $("#group_list").change( function() {
											   		if($("#group_list").val() == "-1")
													{
														alert('Wybierz prawidłową grupę!!')
														$("#main_form_content").attr("style", "display:none"); 														
														return;														
													}
													
													$.post("/tickets/get_users_list/", { group_id: $("#group_list").val()},
																  function(data){
																		xmlDoc=data;
                                                                        var options = '';

                                                                        $(xmlDoc).find('user').each(function(){
                                                                            options += '<option value="'+$(this).find('account_id').text()+'">'+$(this).find('name').text()+'</option>';
                                                                        });
                                                                        $("#odbiorca").html(options);
																		$("#main_form_content").attr("style", "display:block");
																  });												  
												});

										 });

									</script>
									<select name="grupa" id="group_list">
										<option value="-1">wybierz</option>
										<?php
											if(isset($grupy))
											{
												foreach($grupy as $k=>$v)
													echo '<option value="'.$k.'">'.$v.'</option>';												
											}
										?>
									</select>
								</td>
							</tr>	
						</table>	
						<div id="main_form_content" style="display:none;">
							<table id="hor-minimalist-b" style="width:100%">
									<!-- ODBIORCA -->
									<?php
										echo '<input type="hidden" name="user_id" value="'.$user_account['id'].'">';
									?>
									<tr><td width="140">DO</td>
										<td>
											<select name="odbiorca" id="odbiorca" style="width:150px;">
											</select>	
										</td>
									</tr>
									<!-- TEMAT -->
									<tr><td>Temat</td><td><input id="temat" type="text" value="<?php if(isset($values['temat'])) echo $values['temat']; ?>" name="temat" size="50"/>
										<span id="temat_error" class="error_info">
										<?php
											if(isset($errros['temat']))
											{
												echo $errros['temat'];										
											}
										?>
										</span>
									</td></tr>
									
									<!-- PRIORYTET -->
									<tr><td>Prioretet</td>
										<td>
											<select name="priorytet" style="width:150px;">
												<?php
													foreach($priorytety as $key=>$value)
													{
														echo '<option value="'.$value->id.'"';
															if(isset($values['priorytet']))
															{
																if($values['priorytet'] == $value->id)
																	echo ' selected="selected" ';
															} 													
														echo '>'.$value->nazwa.'</option>';													
													} 
												?>											
											</select>	
										</td>
									</tr>
									
									<!-- KATEGORIA -->
									<tr><td>Kategoria</td>
										<td>
											<select name="kategoria" style="width:150px;">
												<?php
													foreach($kategorie as $key=>$value)
													{
														echo '<option value="'.$value->id.'"';
															if(isset($values['kategoria']))
															{
																if($values['kategoria'] == $value->id)
																	echo ' selected="selected" ';
															} 													
														echo' >'.$value->nazwa.'</option>';													
													} 
												?>											
											</select>										
										</td>
									</tr>
									
									<!-- STATUS -->
									<tr><td>Status</td>
										<td>
											<select name="status" style="width:150px;">
												<?php
													foreach($statusy as $key=>$value)
													{
														if($value->id == 2)
															continue;														
														echo '<option value="'.$value->id.'"';
															if(isset($values['status']))
															{
																if($values['status'] == $value->id)
																	echo ' selected="selected" ';
															}													
														echo '>'.$value->nazwa.'</option>';													
													} 
												?>											
											</select>												
										</td>
									</tr>
									
									<!-- WIADOMOSC -->
									<tr><td valign="top">Wiadomość</td>
                                        <td><textarea id="wiadomosc" cols="1" rows="1" name="wiadomosc" style="border: 1px solid black; width: 100%; height: 142px; text-align: left;"><?php if(isset($values['wiadomosc'])) echo htmlspecialchars($values['wiadomosc']); ?></textarea>
									<br/>
										<span id="wiadomosc_error" class="error_info">
											<?php
												if(isset($errros['wiadomosc']))
												{
													echo $errros['wiadomosc'];										
												}
											?>
										</span>	
									</tr>


								<!-- ZALACZNIK -->
								<tr>
									<td valign="top" class="last">Załącznik</td>
									<td class="last">
										<script type="text/javascript">


											function validateWiadomosc()
											{
												isValid = true;
												if(jQuery.trim($("#wiadomosc").val()) == '')
													{
														$('#wiadomosc_error').text("Pole wiadomosc nie może być puste");
														isValid = false;
													}
													else
													{
														$('#wiadomosc_error').text("");
													}
												return isValid;
											}
											function validateTemat()
											{
												isValid = true;
												if(jQuery.trim($("#temat").val()) == '')
													{
														$('#temat_error').text("Pole temat nie może być puste");
														isValid = false;
													}
												else
													{
														$('#temat_error').text("");
													}
												return isValid;
											}




											$(document).ready(function() {
												    var upload 		= false;
													var file_number = 0;
													var currentDateTime = currentDateTime();
													$("#forward_ticket").submit(function() {

														if(!validateTemat() || !validateWiadomosc())
															return false;

														if (!upload) {
															return true;
														}
														else {
															$('#uploadify').uploadifyUpload();
															return false;
														}
													})

													function addFileToList(id,filename)
													{
														elem = "<input type='hidden' id="+id+" name='files[]' value='"+currentDateTime+filename+"'/>";
														var htmlStr = $("#files").html();
      													$("#files").html(htmlStr+elem);
														file_number++;

													}

													$("#wiadomosc").focus(function () {
												         $('#temat_error').text("");
												    });
													$("#wiadomosc").blur(function () {
												       validateWiadomosc();
												    });

													$("#temat").focus(function () {
												         $('#wiadomosc_error').text("");
												    });
													$("#temat").blur(function () {
												       validateTemat();
												    });



													function clearFileList()
													{
														var htmlStr = $("#files").html();
      													$("#files").html('');
														file_number = 0;
													}

													function currentDateTime()
													{
														var dteNow = new Date();

														var day = dteNow.getDate()
														var month = dteNow.getMonth()+1;
														var year = dteNow.getFullYear();
														var hour = dteNow.getHours();
														var minute= dteNow.getMinutes();
														var second = dteNow.getSeconds();
														return year+'.'+month+'.'+day+'_'+hour+':'+minute+':'+second+'__';

													}

												$("#uploadify").uploadify({
													'uploader'       : '/files/uploadify/uploadify.swf',
													'script'         : '/files/uploadify/uploadify.php',
													'checkScript'	 : '/files/uploadify/check.php',
													'cancelImg'      : '/files/uploadify/cancel.png',
													'buttonText'	 : 'Select Files',
													'folder'         : '/files/uploads',
													'queueID'        : 'fileQueue',
                                                    'fileDesc'       : '*.jpg;*.jpeg;*.png;*.gif;*.bmp;*.pdf;*.txt;*.doc;*.xls;*.odt;*.zip;*.rar',
                                                    'fileExt'        : '*.jpg;*.jpeg;*.png;*.gif;*.bmp;*.pdf;*.txt;*.doc;*.xls;*.odt;*.zip;*.rar',
													'sizeLimit'		 : '1024000',
										            'onError'   : 		function (a, b, c, d) {
														                 if (d.status == 404)
														                    alert('Could not find upload script');
																		 else if (d.type === "HTTP")
														                   alert('error '+d.type+": "+d.status);
														                 else if (d.type ==="File Size")
														                   alert(c.name+' '+d.type+' Limit:+Math.round(d.sizeLimit/1024)');
														                 else
														                   alert('error '+d.type+": "+d.text);
														              },
													'scriptData' 	 : {'filename_prefix':currentDateTime},
													'onClearQueue'	 : function(a) {clearFileList(); upload = false;},
													'onSelect'		 : function(a,b,c){upload = true;},
					         						'onComplete'	 : function(a, b, c, d, e){ addFileToList(b,c.name);},
         											'onAllComplete'  : function(event,data){
																			upload = false;
            							  									$("form#forward_ticket").submit();
         																},
													'auto'           : false,
													'multi'          : true
												});
											});
										</script>
											<div id="fileQueue"></div>
											<div id="files"></div>
											<input type="file" name="uploadify" id="uploadify" />
											<a class="anuluj_upload_form" href="javascript:jQuery('#uploadify').uploadifyClearQueue()">Anuluj</a>
									</td>
								</tr>
								</table>
									<div class="formHr">&nbsp;</div>
                                    <div class="form_buttons_v1">
                                        <input type="submit" value="Wyślij" id="submit_forward_ticket" class="formButton"/>
                                        <input type="button" name="anuluj" value="Anuluj" class="formButton" onClick="document.location.href='<?php echo base_url();?>tickets/list_items';"/>
                                    </div>
                        </div>
						</form>																
				</div>
			</td>
		</tr>
	</table>
</div>					